package com.yuchen.saas.park.api.enums.security;

/**
 * @description:
 * @author: 洪铭铭
 * @time: 2024/9/30 13:57
 */
public enum ElectronicFenceHostArmingStatusEnum {

    DISABLED(0, "撤防状态"),
    DEFENSE_AT_HOME(1, "在家布防"),
    DEFENSE_IMMEDIATELY(2, "即时布防"),
    DEFENSE_IN(3, "即时留守布防"),
    DEFENSE_OUT(4, "外出布防"),
    PART_DEFENSE(5, "部分防区布防部分防区撤防");

    private final int value;
    private final String description;

    ElectronicFenceHostArmingStatusEnum(int value, String description) {
        this.value = value;
        this.description = description;
    }

    public int getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    public static ElectronicFenceHostArmingStatusEnum fromValue(int value) {
        for (ElectronicFenceHostArmingStatusEnum type : ElectronicFenceHostArmingStatusEnum.values()) {
            if (type.value == value) {
                return type;
            }
        }
        throw new IllegalArgumentException("Unknown enum value: " + value);
    }


}
